﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace samsung_pic
{
    public partial class picViewer : Form
    {
        Bitmap bmp;

        public picViewer()
        {
            InitializeComponent();
        }

        private void öffnenToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                BinaryReader br = new BinaryReader(new FileStream(ofd.FileName,FileMode.Open));
                bmp = new Bitmap(32, 32);
                for (int y = 0; y < 4; y++)
                {
                    for (int x = 0; x < 32; x++)
                    {
                        Byte b = br.ReadByte();
                        for (int i = 0; i < 8; i++)
                        {
                            bmp.SetPixel(x, y*8+i, ((b & (1 << i))==0) ? Color.White : Color.Black);
                        }
                    }
                }
                repaintPics();
            }
        }

        private void repaintPics()
        {
            pb1.Image = bmp;
            Bitmap bmp2 = new Bitmap(256, 256);
            Graphics g2 = Graphics.FromImage(bmp2);
            g2.InterpolationMode = System.Drawing.Drawing2D.InterpolationMode.NearestNeighbor;
            g2.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.None;
            g2.PixelOffsetMode = System.Drawing.Drawing2D.PixelOffsetMode.None;
            g2.DrawImage(bmp, 0, 0, 256, 256);
            pb2.Image = bmp2;
        }

        private void oriToolStripMenuItem_Click(object sender, EventArgs e)
        {
            //jpg|*.jpg|gif|*.gif|bmp|*.bmp|tiff|*.tiff
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                pb1.Image.Save(sfd.FileName);
            }            
        }

        private void zoomSpeichernToolStripMenuItem_Click(object sender, EventArgs e)
        {
            repaintPics();
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                pb2.Image.Save(sfd.FileName);
            }  
        }
    }
}
